using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework;

namespace MyXnaGame
{
    public class HudGraphicComponent : HudComponent
    {
        //SpriteFont hudFont;
        //Vector2 position;

        private Texture2D texture;

        public HudGraphicComponent(SpriteFont hudFont)
        {
            //this.position = new Vector2(20, 20);
            this.hudFont = hudFont;
        }

        public HudGraphicComponent(Texture2D texture, PresetPosition presetPosition)
        {
            base.SetPosition(presetPosition);
            this.texture = texture;
        }

        public HudGraphicComponent(Texture2D texture, Vector2 position)
        {
            this.position = position;
            this.texture = texture;
        }

        public override void Draw(SpriteBatch spriteBatch)
        {
            spriteBatch.Draw(texture, position, Color.White);
        }
    }
}
